Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 952550 - (CVE-2013-2436) CVE-2013-2436 OpenJDK: Wrapper.convert insufficient type checks (Libraries, 8009049)
CVE-2013-2436 OpenJDK: Wrapper.convert insufficient type checks (Libraries, 8...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130416,repor...
: Security
Depends On:
Blocks: 950067
  Show dependency treegraph
 
Reported: 2013-04-16 04:11 EDT by Tomas Hoger
Modified: 2013-05-15 09:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: icedtea7 2.3.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 09:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0751 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-04-17 18:43:48 EDT
Red Hat Product Errata RHSA-2013:0752 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-04-17 18:43:40 EDT
Red Hat Product Errata RHSA-2013:0757 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 11:10:43 EST
Red Hat Product Errata RHSA-2013:0822 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-14 19:13:34 EST

  None (edit)
Description Tomas Hoger 2013-04-16 04:11:27 EDT
It was discovered that the sun.util.invoke.Wrapper did not perform type checks correctly when converting wrapped values.  An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.
Comment 1 Tomas Hoger 2013-04-16 16:31:42 EDT
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in 7u21.
Comment 2 errata-xmlrpc 2013-04-17 14:45:55 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html
Comment 3 errata-xmlrpc 2013-04-17 14:48:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html
Comment 4 Stefan Cornelius 2013-04-17 16:59:22 EDT
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/20f287fec09f
Comment 5 errata-xmlrpc 2013-04-18 14:28:40 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html
Comment 6 Tomas Hoger 2013-04-26 08:20:24 EDT
Fixed in IcedTea7 version 2.3.9:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-April/022890.html
Comment 7 errata-xmlrpc 2013-05-14 14:04:29 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0822 https://rhn.redhat.com/errata/RHSA-2013-0822.html

Note You need to log in before you can comment on or make changes to this bug.